/*
==========================================
Name:		HD44780.h
Author:		POSPISIL Frantisek
Created:	12/2008
Chip:		ATmega8
Frequency:	CPU 8MHz
Hardware:	HD44780 komunikace 4 bity
==========================================
*/

/* definice maker */
#define LCD_Data		PORTC
#define LCD_SetEnable()	PORTC |= 0x02; // pin6
#define LCD_ClrEnable() PORTC &=~0x02;
#define LCD_SetData()	PORTC |= 0x01; // pin4
#define LCD_SetCommand()PORTC &=~0x01;

/* uplne funkcni prototypy */
void LCD_WriteComm(unsigned char val);					// zapise ridici kod na displej
void LCD_WriteData(unsigned char val);					// zapise data na displej
void LCD_Clear(void);									// vymaze obsah displeje a nastavi kurzor na zacatek
void LCD_Init(void);									// provede inicializaci displeje
void LCD_Position(unsigned char y, unsigned char x);	// nastavi pozici kurzoru
void LCD_WriteCString(const char* retezec);				// vypise konstantni retezec
void LCD_PrDec(unsigned char val);						// dva znaky - 8 bitu decimalne
void LCD_PrIntDec(unsigned int val);					// pet znaku - 16 bitu decimalne
void LCD_PrSDec(unsigned char val); 					// tri znaky - 8 bitu decimalne se znamenkem
void LCD_PrTemp(unsigned int val);						// vypisuje teplotu se znamenkem
void LCD_PrPwm(unsigned int val);						// vypisuje %
void LCD_PrHex(unsigned char val);						// dva znaky - 8 bitu
void LCD_PrTisiciny(unsigned int val);					// decimalne tisiciny

